alter table CLITYPES add PREFCARD varchar(2) character set WIN1251 collate PXW_CYRL;
alter table CLITAB add CELLPOSITION varchar(15) character set WIN1251 collate PXW_CYRL;
alter table HIST_PCARD add CELLPOSITION varchar(15) character set WIN1251 collate PXW_CYRL;
alter table PERSONNEL add CELLPOSITION varchar(15) character set WIN1251 collate PXW_CYRL;
alter table PERSONNEL add NUMSCHEM integer;

alter table BP_REQUEST add Repeated smallint default 0;
alter table OperFactors add LastBuildReq integer;
alter table OperFactors add NewRequestPass varchar(255) character set WIN1251 collate PXW_CYRL;
alter table DEPARTMENT add LEVEL_KD smallint;

create table GEN_NUMCARD(
 CLI_KIND integer not null unique,
 LASTNUM  integer not null
);
commit;

update BP_REQUEST set Repeated=0;
update DEPARTMENT set LEVEL_KD=1;
drop view ListUsers;

commit;

create view ListUsers (
 USER_ID, INDICATION, CLI_N, F_NAME, S_NAME, M_NAME,
 DEPARTMENT_ID, PROFESSION_ID, ORG_ID, JOB, TABN, NUM, CLI_KIND,
 W_PHONE, DATE_BRS, H_ADDR, H_PHONE, M_PHONE, P_NUM, P_ISSUED, P_ISSUEDAY,
 REGISTRATION, LEVEL_KD, CARD_STS, GettingDATE, LOST_KD, Decision, Black_LIST,
 DepN, JobN, OrgN, KIND_OPIS, CODE, NUM_KD, LREAL, CELLPOSITION)
as
select p.USER_ID, p.INDICATION, p.CLI_N, p.F_NAME, p.S_NAME, p.M_NAME,
 p.DEPARTMENT_ID, p.PROFESSION_ID, p.ORG_ID, p.JOB, p.TABN, p.NUM, p.CLI_KIND,
 p.W_PHONE, p.DATE_BRS, p.H_ADDR, p.H_PHONE, p.M_PHONE, p.P_NUM, p.P_ISSUED, p.P_ISSUEDAY,
 p.REGISTRATION, p.LEVEL_KD, p.CARD_STS, p.GettingDATE, p.LOST_KD, p.Decision, p.Black_LIST,
 d.NAME, j.NAME, o.NAME, t.KIND_OPIS, c.CODE, c.NUM_KD, c.LEVEL_KD, p.CELLPOSITION
from (((((PERSONNEL p left join CLITYPES t on p.CLI_KIND=t.CLI_KIND)
left join DEPARTMENT d on p.DEPARTMENT_ID=d.CODE)
left join PROFESSION j on p.PROFESSION_ID=j.PROFESSION_ID)
left join AlienOrg o on p.ORG_ID=o.ORG_ID) left join CLITAB c on p.CLI_N=c.N);

commit;